POFile:+translate timeouts

Bug #736005 reported by Robert Collins on 2011-03-16
544
This bug affects 114 people
Affects Status Importance Assigned to Milestone
JOSM
Unknown
Critical
Launchpad itself
Critical
Unassigned
Odoo Addons (MOVED TO GITHUB)
New
Undecided
Unassigned
Ubuntu Translations
Critical
Unassigned

Bug Description

  1 SELECT TranslationMessage.comment, TranslationMessage.date_created, TranslationMessage.date_revie ... gstr3, -$INT), COALESCE(msgstr4, -$INT), COALESCE(msgstr5, -$INT), date_created DESC ) LIMIT $INT:
   GET: 1 Robots: 0 Local: 1
      1 https://translations.launchpad.net/picapy/trunk/+pots/picapy/de/+translate (POFile:+translate)
       OOPS-1900K842

Related branches

Deryck Hodge (deryck) wrote :

See the linked question for another case of POFILE:+translate timing out. Perhaps a different issue. The oops there is: OOPS-2056CL72

Steve Kowalik (stevenk) wrote :

OOPS-010b2004af96b83c0be9f93075cf0573 is a modern OOPS.

fisharebest (fisharebest) wrote :

This bug has been triaged as "critical" and has been open for a year.

It is also getting progressively worse. Many actions now require 5-10 page-refreshes before they will complete. It is very rare that a search/save will complete first time.

My project has 4000+ translations into 50+ languages and my translators are starting to revolt!

Are there plans to fix this bug, or should projects look for alternative solutions?

On 17/03/13 06:23, fisharebest wrote:
> This bug has been triaged as "critical" and has been open for a year.
>
> It is also getting progressively worse. Many actions now require 5-10
> page-refreshes before they will complete. It is very rare that a
> search/save will complete first time.
>
> My project has 4000+ translations into 50+ languages and my translators
> are starting to revolt!
>
> Are there plans to fix this bug, or should projects look for alternative
> solutions?

We have a large backlog of critical bugs caused by years of technical
debt. But we're making progress: 6 months ago we had 410 open critical
bugs, now we have 120. We obviously can't get to them all immediately,
but this one is higher priority (though also higher complexity) than
most of the rest. It's likely that this will be fixed within the next 6
months, but it depends just how deep the performance issues run.

Dirk Stöcker (stoecker) on 2013-03-29
Changed in josm:
importance: Unknown → Critical
Adolfo Jayme (fitojb) on 2013-04-19
Changed in ubuntu-translations:
status: New → Triaged
importance: Undecided → Critical
William Grant (wgrant) on 2013-04-29
tags: added: lp-translations
summary: - POFile:+translate timeouts
+ Launchpad: POFile:+translate timeouts
William Grant (wgrant) on 2013-05-23
summary: - Launchpad: POFile:+translate timeouts
+ POFile:+translate timeouts

Could you at least change the text of the error message, so it reflects the true situation?
It currently says:

> Timeout error
> Sorry, something just went wrong in Launchpad.
> We’ve recorded what happened, and we’ll fix it as soon as possible. Apologies for the inconvenience.

No doubt an error stack trace gets recorded in a logfile. But if nobody dares to have a look in the sesspool, then you also cannot promise appropriate actions are being taken.

no longer affects: webtrees
Dirk Stöcker (stoecker) wrote :

6 months are over and no progress.

Are there any plans to fix this issue or should we move our project to transifex?

Carsten Gerlach (carsteng) wrote :

Transifex looks like a commercial platform. Maybe http://translatewiki.net would be better. There is also the translation of the OSM website located.

Ettore Atalan (atalanttore) wrote :

Every translation platform would be better than this buggy Launchpad.

sengian (sengian) wrote :

I am happy to see that this is the last critical bug still open for Launchpad translations...
Any news?

Last time I worked on the translation (one or two weeks ago) it was simply
impossible to work on the translation due to the permanent timeout issues.
So no positive news from my side.

2014/1/20 sengian <email address hidden>

> I am happy to see that this is the last critical bug still open for
> Launchpad translations...
> Any news?
>
> --
> You received this bug notification because you are a member of Ubuntu
> German Translators (Community-Team), which is subscribed to a duplicate
> bug report (1084026).
> https://bugs.launchpad.net/bugs/736005
>
> Title:
> POFile:+translate timeouts
>
> Status in Java OpenStreetMap editor:
> Unknown
> Status in Launchpad itself:
> Triaged
> Status in Ubuntu Translations:
> Triaged
>
> Bug description:
>
> 1 SELECT TranslationMessage.comment, TranslationMessage.date_created,
> TranslationMessage.date_revie ... gstr3, -$INT), COALESCE(msgstr4, -$INT),
> COALESCE(msgstr5, -$INT), date_created DESC ) LIMIT $INT:
> GET: 1 Robots: 0 Local: 1
> 1
> https://translations.launchpad.net/picapy/trunk/+pots/picapy/de/+translate(POFile:+translate)
> OOPS-1900K842
>
> To manage notifications about this bug go to:
> https://bugs.launchpad.net/josm/+bug/736005/+subscriptions
>
> _______________________________________________
> Mailing list: https://launchpad.net/~ubuntu-l10n-de-community
> Post to : <email address hidden>
> Unsubscribe : https://launchpad.net/~ubuntu-l10n-de-community
> More help : https://help.launchpad.net/ListHelp
>

Tobias Bannert (toba) wrote :

»last critical bug« this is funny.
Launchpad is an only critical bug for translating.
So many timeouts.
More and more projects leaving launchpad translation and using transifex or other.

sengian (sengian) wrote :

I agree, I just wanted to know if a solution was in order of if Launchpad was dead
Actually, I stopped translating as Launchpad is unusable too.
Just checking if there were news, as for me, it is pointless to do work on Launchpad if this is not solved.

AO (aofr) wrote :

Totally unable to access translations today. Is there anything new on this bug?

(Error ID: OOPS-db597c2603f5c0fad986cddc6d4020f9)

Phillip Sz (phillip-sz) wrote :

Same here, that bug must be fixed!

Tobias Bannert (toba) wrote :

 (Error ID: OOPS-2c8e5b829b6bb346f68d9f3918aba207)
 (Error ID: OOPS-844e509b83b86886d7023b586c69f16e)
 (Error ID: OOPS-63648947859b344b84b145ecacefde1e)
 (Error ID: OOPS-0e6101189ded440ce26d724891865237)
 (Error ID: OOPS-5f457a2a452097ca73ac1fbf0051cd4f)
 (Error ID: OOPS-034d03a81b14cfc6d4683fd9d93ce8a9)
 (Error ID: OOPS-5ef28360ca5c54abbf9dce8cf489f22e)
 (Error ID: OOPS-73f23e5d22ebe622a9f41c73e6639e1b)
 (Error ID: OOPS-4cd63b9be725a801d837f98bb8bb27bc)
 (Error ID: OOPS-cca08c926b0342368f245f5d08148dce)
 (Error ID: OOPS-3abf5a810ecc26babcd3b72cbeea1c27)
 (Error ID: OOPS-355bf597f978ab7f17f26ba8bfbd6086)
 (Error ID: OOPS-d1fe4d769f1594882b06feae4ead8c64)
 (Error ID: OOPS-7288b7fce825b635cf8279493ce1ee80)

William Grant (wgrant) wrote :

There are two big problems with this page, shown by the first and last OOPSes in comment #16 respectively:

  - The Launchpad Translations schema is really slow for text searching. Requests affected only by this problem will usually stop OOPSing after a few refreshes get the data cached in RAM. Fixing the schema to make this fast on HDDs is very difficult. But this problem *should* go away in a couple of weeks when we upgrade to new DB servers with SSDs and more RAM.

 - The +translate page needs to preload data it's using, rather than making several hundred queries once it's worked out which translations are relevant. This will be mitigated by the new DB servers, but we need to fix this properly.

Dragan Toroman (toromand) wrote :

+1 for the bug :(
Still unresolved after sooo long.

Tobias Bannert (toba) wrote :

More and more projects switching the translations to Transifex.
http://www.mobileread.com/forums/showthread.php?t=239995

Launchpad QA Bot (lpqabot) wrote :
Changed in launchpad:
assignee: nobody → William Grant (wgrant)
tags: added: qa-needstesting
Changed in launchpad:
status: Triaged → In Progress
William Grant (wgrant) on 2014-06-14
tags: added: qa-ok
removed: qa-needstesting
fossfreedom (fossfreedom) wrote :

Hi - its good news that the QA for this has passed. Is there a planned dated for rollout of this fix?

William Grant (wgrant) wrote :

Read comment #20 again: "is part of this bug's fix."

It's not completely fixed yet.

Launchpad QA Bot (lpqabot) wrote :
tags: added: qa-needstesting
removed: qa-ok
William Grant (wgrant) on 2014-07-03
tags: added: qa-ok
removed: qa-needstesting
Adolfo Jayme (fitojb) on 2014-07-27
no longer affects: josm
William Grant (wgrant) wrote :

We've fixed most of the code problems. We can't make significant further improvements until we get the new database servers up and running, which we're still working on.

Colin Watson (cjwatson) wrote :

In case other Canonical staff need to check on the status of this when Launchpad developers aren't around, the IS ticket is here (I'm afraid this is company-private, but at least having any Canonical employee being able to check is better than nothing):

  https://rt.admin.canonical.com/Ticket/Display.html?id=67926

AO (aofr) wrote :

As of this morning 2014-08-08 07:45 Eastern time, I'm still totally unable to access
https://translations.launchpad.net/ubuntu/utopic/+source/unity-control-center/+pots/unity-control-center/fr_CA/+translate
 (Error ID: OOPS-60c3392c6c9f5f79c2cbb60031e55a9b).
Hope this gets fixed really soon.

GunChleoc (gunchleoc) wrote :

I have an idea how you could further reduce the server load: I cannot upload/download a translation without going into the translations and loading 10 of them. Maybe the user interface could add buttons in the translation overview. Or, after requesting an upload/download, there could be an intermediate page for the confirmation that the upload file/download request was processed successfully, with no need of loading any translations.

Changed in ubuntu-translations:
assignee: nobody → qahtan (qahtan-alghanimi)
assignee: qahtan (qahtan-alghanimi) → nobody
Randy Olive (randy-jr-olive) wrote :

I get this bug often as well, it is a launchpad.net bug. I am trying to translate the Beru project and am severely hindered by this.

I'm running ubuntu 14.04 and using firefox 32.0.

I can get it to work by refreshing 20 or 30 times (i use a browser app for this) my browser, but it's slow progress.

J. Daujeard (joseph-daujeard) wrote :

Josm project is still affected by Timeout errors: Error ID: OOPS-9077ed146faa3b84e5c8f7754125e7f1

Rudolf Schnapka (rs-t3) wrote :

corrected to project...

affects: openerp-addons (Ubuntu) → openobject-addons
rienesl (rienesl) wrote :

Now the bug has its 2nd year anniversary...
4 hours of trying to get ONE File! Horribly!

Edit: Nice! When posting, i get this:
Timeout error, please try again in a few minutes.

I can't eat as much as I want to barf

Jonas G. Drange (jonas-drange) wrote :

A user reports that adding &batch=4 (restricting the set of strings to translate to 4) sometimes helps. Maybe this can serve as a workaround and data point (i.e. LP translation pages are less prone to timeouts if asked only to render four strings).

Klumbumbus (klumbumbus) wrote :

I just readded JOSM

AO (aofr) wrote :

I've been trying to translate fr_CA for the past hour and all I get is Error:Timeout

zxczc (astiktrumpam) wrote :

10 years later, launchpad still is unable to fix its bugs and search doesnt work, nice.
(Error ID: OOPS-571a09fc76b3c21d831076d563208e9a)

Colin Watson (cjwatson) wrote :

The long-awaited new Launchpad database servers were finally deployed recently, and yesterday my colleagues switched the master over to the new hardware. I've just gone through all the timing-out URLs listed directly in this bug and via OOPS reports (including the unrelated one about searching for binary packages by name in a distroarchseries in comment #35), and every one of them that I can still access now appears to load just fine, typically rendering in less than two seconds which is well below our timeout threshold.

I'm hesitant to close this bug outright, as I've only tested GET requests and not POST requests, and it's possible that we still need to do the preloading work mentioned in comment #17; but I think that it is very probably fixed now. Please could people confirm whether translating now works properly without timeouts for you?

aceman444 (aceman) wrote :

Is it possible you lost some translations in the switch? See last comments in https://josm.openstreetmap.de/ticket/10509 .

aceman444 (aceman) wrote :

But other than that I have also not seen the timeout these days, searching works fine and also adding another language for suggestions works fine now.

Phillip Sz (phillip-sz) wrote :

great, thanks a lot! I have not seen any timeouts by now :)

On 19/02/15 03:12, aceman444 wrote:
> Is it possible you lost some translations in the switch? See last
> comments in https://josm.openstreetmap.de/ticket/10509 .

Translation imports were delayed for up to 12 hours, but no data was
lost. Do you have a specific example, including a link to a relevant
string on Launchpad?

Klumbumbus (klumbumbus) wrote :

Thanks!

Åka Sikrom (akrosikam) wrote :

I still get persistent timeouts when requesting https://translations.launchpad.net/~myusername .
Last error IDs: OOPS-32f7d9a027da9ea7a90325a60a6b4dd3, OOPS-4bc851f5a77f55b31ffb271f1e6e31be, OOPS-533dfb097f5bff939fedaa0702b599cd

GTriderXC (gtriderxc) wrote :

Seems to work. Finally! \o/\o/\o/\o/ :-)

Adolfo Jayme (fitojb) on 2015-02-19
no longer affects: josm
GTriderXC (gtriderxc) wrote :

OK, it seems to work for translations, but as Aka wrote above, in other parts of the website like my own profile...

Timeout error

Sorry, something just went wrong in Launchpad.

We’ve recorded what happened, and we’ll fix it as soon as possible. Apologies for the inconvenience.

Trying again in a couple of minutes might work.

(Error ID: OOPS-71e3f11041ad4194bf4390e7b0c36aa2)

Tobias Bannert (toba) wrote :

trying to open: https://translations.launchpad.net/~toba
(Error ID: OOPS-8f24ac54aefa570816b20aa3b0220745)
(Error ID: OOPS-a9beba740a220dd086e4e5ceeb76d74d)
etc.

William Grant (wgrant) wrote :

I've just landed a branch to address the remaining POFile:+translate timeout mentioned in comment #46. It'll be fixed on production soon

Person:+translations (not the page this bug is about, but mentioned in comments #42, #44 and #45) has regressed due to a misconfiguration on the new servers. That one should be snappy again in a few hours.

Launchpad QA Bot (lpqabot) wrote :
tags: added: qa-needstesting
removed: qa-ok
William Grant (wgrant) on 2015-02-20
tags: added: qa-ok
removed: qa-needstesting
Launchpad QA Bot (lpqabot) wrote :
tags: added: qa-needstesting
removed: qa-ok
William Grant (wgrant) on 2015-03-04
tags: added: qa-ok
removed: qa-needstesting
Launchpad QA Bot (lpqabot) wrote :
tags: added: qa-needstesting
removed: qa-ok
William Grant (wgrant) on 2015-03-16
description: updated
tags: added: qa-ok
removed: qa-needstesting
Don-vip (vincent-privat) wrote :

Still got the problem on josm project:

(Error ID: OOPS-8290302df82f2cb4a8e0ec50e0781f86)
(Error ID: OOPS-9d95aea497076c6419a8a80e7dd75f0b)

Klumbumbus (klumbumbus) wrote :

I just readded JOSM. I even got a timeout error at the first try to add it to this bug ;)

Changed in josm:
importance: Unknown → Critical
AO (aofr) wrote :

Been trying to translate Ubuntu for the past two days, focusing on untranslated strings. If there is more than a couple strings, I always get timeout error with OOPS. I can access the resources if I ask to see all strings, but if I then apply the untranslated items filter, timeout!
I just have to give up translating Ubuntu as a whole since this is just wasting my time, very unfortunately!

Åka Sikrom (akrosikam) wrote :

Consistent timeouts are haunting me once again, this time whenever I try to translate Seahorse.

Latest IDs:

Error ID: OOPS-d0a906dd2851a05d7590ba1543166b98
Error ID: OOPS-25631a1a219f86acaf45f64d7a590326
Error ID: OOPS-6d6790d9ac502728dab7e40ad1b753fe
Error ID: OOPS-bf8bce3972f580829172fa7d3a850239

William Grant (wgrant) on 2016-03-15
Changed in launchpad:
assignee: William Grant (wgrant) → nobody
status: In Progress → Triaged
Åka Sikrom (akrosikam) wrote :

https://translations.launchpad.net/ubuntu/xenial/+source/debian-installer/+pots/debian-installer/nb/+translate?memo=10&start=10

Results:

OOPS-bc47dd3547a0b9290d46fe44d133d07a
OOPS-76eaa21fd997f0e9f74fbb584f406202
OOPS-f4829d6d70238033d0d60f32589b3419
OOPS-7b66f8ecb3d87b4a24a86e7948ac2059
OOPS-297e2bdd94aebef5eef838f7e0b700af
OOPS-0b86fba0525ee50321cdef5a61840664
OOPS-8c36dd3679ede2a6e89e848644378fd4

Åka Sikrom (akrosikam) wrote :

OOPS-1ad7089b04393ee8bbb14dcf96e83c4c
OOPS-b66e4960abe9c4acc415ca10c9166cce
OOPS-4f27b122211527f82420dffdc5293e22
OOPS-b7203e92496145a9d45e5960fea0e195
OOPS-3bd1726938f083c7227301f30385ffc0
OOPS-494b126f716ab0fc6627817edd992df6
OOPS-6f84c0574c62ec76cbd4f4c8519768f7

Dirk Stöcker (stoecker) wrote :

Searching is broken totally again. I tried a simple search and got dozens of Ooopses again.

Critical bug with many affected projects and 5 years now.

Probably someone should check if your timeout settings aren't a bit toooo strict.

Jonas G. Drange (jonas-drange) wrote :

Yeah, I can't remember it's been this bad in months. I tried translating for OTA13 this week (w35) and ~3/5 requests timed out.

AO (aofr) wrote :

More often that not, six years after this bug got reported, as of 2017-03-29 I still get an error "Timeout error - Sorry, something just went wrong in Launchpad." when trying to load Ubuntu translation templates.

Changed in ubuntu-translations:
assignee: nobody → Darryl Robinson (liljuanas)
status: Triaged → In Progress
Changed in launchpad:
status: Triaged → Confirmed
Changed in ubuntu-translations:
status: In Progress → New
Changed in launchpad:
status: Confirmed → Incomplete
status: Incomplete → Opinion
Changed in ubuntu-translations:
assignee: Darryl Robinson (liljuanas) → nobody
Changed in launchpad:
assignee: nobody → Darryl Robinson (liljuanas)
Changed in openobject-addons:
assignee: nobody → Darryl Robinson (liljuanas)
Changed in ubuntu-translations:
assignee: nobody → Darryl Robinson (liljuanas)
Changed in redflag-midinux:
assignee: nobody → Darryl Robinson (liljuanas)
William Grant (wgrant) on 2017-05-10
Changed in ubuntu-translations:
status: New → Triaged
assignee: Darryl Robinson (liljuanas) → nobody
Changed in launchpad:
status: Opinion → Triaged
assignee: Darryl Robinson (liljuanas) → nobody
Changed in openobject-addons:
assignee: Darryl Robinson (liljuanas) → nobody
Changed in redflag-midinux:
assignee: Darryl Robinson (liljuanas) → nobody
no longer affects: redflag-midinux
Harald H. (haarektrans) wrote :

OOPS-cb79f282f73ea886be9dd44a0d86016a
OOPS-2edd2b9ec5b0f3b07666cd1579b2b750
OOPS-ae38a5efdedacc4214412069af90b69d
OOPS-6cd4344293c33c81191a20d81499c322
OOPS-3d59e120b181752f354882a5435c43f8
OOPS-ddefb520ee60654847dfd945520c2339

Gunnar Hjalmarsson (gunnarhj) wrote :

I submitted <https://rt.ubuntu.com/Ticket/Display.html?id=29920> about some other timeout issue but for translations. Possibly they are related.

Don-vip (vincent-privat) wrote :

6 years now. Will you fix this problem before we need two digits to count?

OOPSes of the day:
OOPS-4a834d1993a593cbc75ecf17efca2331
OOPS-9508be6687e41660144d1a011d520bb4
OOPS-6bd20b95c3525d1cf016f9220a5cb49d
OOPS-8c6221662dec7e07cfb5b336266d6911
OOPS-213317fa485307d07de4b96b04813714
OOPS-bd6e99b2d5580affa6713e44d81aa030
OOPS-0a2068edcff71739a65340307f9d4848

I needed a lot more than a "couple of minutes" to perform a search.
The funniest part? I even got a timeout error to post this comment!

Wim Vleeshhouwer (wimniny) wrote :

I do not own this, It is not even mine.As far as I am concerned, you can delete it.
Regards, Wim Vleeshhouwer.

Verzonden van mijn HTC

----- Reply message -----
Van: "Don-vip" <email address hidden>
Aan: <email address hidden>
Onderwerp: [Bug 736005] Re: POFile:+translate timeouts
Datum: do, sep. 14, 2017 20:35

6 years now. Will you fix this problem before we need two digits to
count?

OOPSes of the day:
OOPS-4a834d1993a593cbc75ecf17efca2331
OOPS-9508be6687e41660144d1a011d520bb4
OOPS-6bd20b95c3525d1cf016f9220a5cb49d
OOPS-8c6221662dec7e07cfb5b336266d6911
OOPS-213317fa485307d07de4b96b04813714
OOPS-bd6e99b2d5580affa6713e44d81aa030
OOPS-0a2068edcff71739a65340307f9d4848

I needed a lot more than a "couple of minutes" to perform a search.
The funniest part? I even got a timeout error to post this comment!

--
You received this bug notification because you are subscribed to the bug
report.
https://bugs.launchpad.net/bugs/736005

Title:
POFile:+translate timeouts

Status in JOSM:
Unknown
Status in Launchpad itself:
Triaged
Status in Odoo Addons (MOVED TO GITHUB):
New
Status in Ubuntu Translations:
Triaged

Bug description:

1 SELECT TranslationMessage.comment, TranslationMessage.date_created, TranslationMessage.date_revie ... gstr3, -$INT), COALESCE(msgstr4, -$INT), COALESCE(msgstr5, -$INT), date_created DESC ) LIMIT $INT:
GET: 1 Robots: 0 Local: 1
1 https://translations.launchpad.net/picapy/trunk/+pots/picapy/de/+translate (POFile:+translate)
OOPS-1900K842

To manage notifications about this bug go to:
https://bugs.launchpad.net/josm/+bug/736005/+subscriptions

Wim Vleeshhouwer (wimniny) wrote :

I am now 71 years old, getting forgetful. Don't remember what that was for.
Sorry, cannot offer any support.
Regards W.Vleeshhouwer.

Op 14 sep. 2017 20:45 schreef "Don-vip" <email address hidden>:

> 6 years now. Will you fix this problem before we need two digits to
> count?
>
> OOPSes of the day:
> OOPS-4a834d1993a593cbc75ecf17efca2331
> OOPS-9508be6687e41660144d1a011d520bb4
> OOPS-6bd20b95c3525d1cf016f9220a5cb49d
> OOPS-8c6221662dec7e07cfb5b336266d6911
> OOPS-213317fa485307d07de4b96b04813714
> OOPS-bd6e99b2d5580affa6713e44d81aa030
> OOPS-0a2068edcff71739a65340307f9d4848
>
> I needed a lot more than a "couple of minutes" to perform a search.
> The funniest part? I even got a timeout error to post this comment!
>
> --
> You received this bug notification because you are subscribed to the bug
> report.
> https://bugs.launchpad.net/bugs/736005
>
> Title:
> POFile:+translate timeouts
>
> Status in JOSM:
> Unknown
> Status in Launchpad itself:
> Triaged
> Status in Odoo Addons (MOVED TO GITHUB):
> New
> Status in Ubuntu Translations:
> Triaged
>
> Bug description:
>
> 1 SELECT TranslationMessage.comment, TranslationMessage.date_created,
> TranslationMessage.date_revie ... gstr3, -$INT), COALESCE(msgstr4, -$INT),
> COALESCE(msgstr5, -$INT), date_created DESC ) LIMIT $INT:
> GET: 1 Robots: 0 Local: 1
> 1 https://translations.launchpad.net/picapy/trunk/+
> pots/picapy/de/+translate (POFile:+translate)
> OOPS-1900K842
>
> To manage notifications about this bug go to:
> https://bugs.launchpad.net/josm/+bug/736005/+subscriptions
>

Wim Vleeshhouwer (wimniny) wrote :

I translated for Ubuntu from English to dutch. My webtrees makes use of
this.there must be loads of people who have programs in which the language
can be changed.
Sorry, but I can not give any help. Maybe Ubuntu or Launchpad?
Regards,Wim.

Op 14 sep. 2017 22:23 schreef "<email address hidden>" <email address hidden>:

> I do not own this, It is not even mine.As far as I am concerned, you can
> delete it.
> Regards, Wim Vleeshhouwer.
>
> Verzonden van mijn HTC
>
> ----- Reply message -----
> Van: "Don-vip" <email address hidden>
> Aan: <email address hidden>
> Onderwerp: [Bug 736005] Re: POFile:+translate timeouts
> Datum: do, sep. 14, 2017 20:35
>
> 6 years now. Will you fix this problem before we need two digits to
> count?
>
> OOPSes of the day:
> OOPS-4a834d1993a593cbc75ecf17efca2331
> OOPS-9508be6687e41660144d1a011d520bb4
> OOPS-6bd20b95c3525d1cf016f9220a5cb49d
> OOPS-8c6221662dec7e07cfb5b336266d6911
> OOPS-213317fa485307d07de4b96b04813714
> OOPS-bd6e99b2d5580affa6713e44d81aa030
> OOPS-0a2068edcff71739a65340307f9d4848
>
> I needed a lot more than a "couple of minutes" to perform a search.
> The funniest part? I even got a timeout error to post this comment!
>
> --
> You received this bug notification because you are subscribed to the bug
> report.https://bugs.launchpad.net/bugs/736005
>
> Title:
> POFile:+translate timeouts
>
> Status in JOSM:
> Unknown
> Status in Launchpad itself:
> Triaged
> Status in Odoo Addons (MOVED TO GITHUB):
> New
> Status in Ubuntu Translations:
> Triaged
>
> Bug description:
>
> 1 SELECT TranslationMessage.comment, TranslationMessage.date_created, TranslationMessage.date_revie ... gstr3, -$INT), COALESCE(msgstr4, -$INT), COALESCE(msgstr5, -$INT), date_created DESC ) LIMIT $INT:
> GET: 1 Robots: 0 Local: 1
> 1 https://translations.launchpad.net/picapy/trunk/+pots/picapy/de/+translate (POFile:+translate)
> OOPS-1900K842
>
> To manage notifications about this bug go to:https://bugs.launchpad.net/josm/+bug/736005/+subscriptions
>
>

Please leave the files where they are and do not delete or change them.
These are necessary for my family tree (webtrees) to provide changing the
language.
I helped translate most of the words and phrases used in webtrees from
English to Dutch
So please do NOT change anything!
Regards, W.Vleeshhouwer

For more info please contact Greg Roach who is one of the makers of
Webtrees.

Regards,
W.Vleeshhouwer.

I translated from English to Dutch for webtrees. Those are probably the PO
files. Do NOT delete these please.
W.Vleeshhouwer.
<email address hidden>

Op 14 sep. 2017 22:23 schreef "<email address hidden>" <email address hidden>:

I do not own this, It is not even mine.As far as I am concerned, you can
delete it.
Regards, Wim Vleeshhouwer.

Verzonden van mijn HTC

----- Reply message -----
Van: "Don-vip" <email address hidden>
Aan: <email address hidden>
Onderwerp: [Bug 736005] Re: POFile:+translate timeouts
Datum: do, sep. 14, 2017 20:35

6 years now. Will you fix this problem before we need two digits to
count?

OOPSes of the day:
OOPS-4a834d1993a593cbc75ecf17efca2331
OOPS-9508be6687e41660144d1a011d520bb4
OOPS-6bd20b95c3525d1cf016f9220a5cb49d
OOPS-8c6221662dec7e07cfb5b336266d6911
OOPS-213317fa485307d07de4b96b04813714
OOPS-bd6e99b2d5580affa6713e44d81aa030
OOPS-0a2068edcff71739a65340307f9d4848

I needed a lot more than a "couple of minutes" to perform a search.
The funniest part? I even got a timeout error to post this comment!

--
You received this bug notification because you are subscribed to the bug
report.https://bugs.launchpad.net/bugs/736005

Title:
  POFile:+translate timeouts

Status in JOSM:
  Unknown
Status in Launchpad itself:
  Triaged
Status in Odoo Addons (MOVED TO GITHUB):
  New
Status in Ubuntu Translations:
  Triaged

Bug description:

    1 SELECT TranslationMessage.comment,
TranslationMessage.date_created, TranslationMessage.date_revie ...
gstr3, -$INT), COALESCE(msgstr4, -$INT), COALESCE(msgstr5, -$INT),
date_created DESC ) LIMIT $INT:
     GET: 1 Robots: 0 Local: 1
        1 https://translations.launchpad.net/picapy/trunk/+pots/picapy/de/+translate
(POFile:+translate)
         OOPS-1900K842

To manage notifications about this bug go
to:https://bugs.launchpad.net/josm/+bug/736005/+subscriptions

Stephan Woidowski (swoidowski) wrote :

I have the problem that i first have to go back via browser and then click on the wanted package again to get the string to translate back. :)

Stephan Woidowski (swoidowski) wrote :

Hi all,

this doesn't have to do with a specified package or some. I think this has to do something with the data transfer from site -> server or server -> site.

Hope this will be fixed soon.

Stephan Woidowski (swoidowski) wrote :

Hi all,

just thinking about the timeout-message:

The error could occur, because something like that happens:

The translator takes a new group of strings he want to translate. This group includes e. g. 100 strings. The server always checks all 100 strings if they have been translated already. The number of strings the server will have to check is very big. So this is where the error could happen.

I've translated a few string-sets with 12 or 20. And the error never happened...

So i think it has to do something with the number of data which will be send to the server to check. It's too big i think.

Stephan Woidowski (swoidowski) wrote :

Seems that this bug is not inside launchpad anymore. If anyone has done a fix to it, nice. And thx. I for myself have no more problems with this bug for a long period of time.

Don-vip (vincent-privat) wrote :

We're still impacted by this bug, more than ever. A simple search must be refreshed a dozen times before getting a result. Here are the OOPSes of the day:

 (Error ID: OOPS-8f8e6e9294960e02709b99b5ecfac313)
 (Error ID: OOPS-96ef7a160b79b60b1837aaa7200a1304)
 (Error ID: OOPS-fcbaca4b0edf4c28715fa075eeda42f6)
 (Error ID: OOPS-ef8f5a95a0c3b3bebba2575ca4802a2b)
 (Error ID: OOPS-0461cba8285fb91f7aedbc7976d9b69b)
 (Error ID: OOPS-d4a6047c103e5fa7029c3d16dc71b366)
 (Error ID: OOPS-a6a1be7552fa9e771aa1cd14bd2df306)
 (Error ID: OOPS-137ae9e4772fa43956dfdc9f042f5bfd)
 (Error ID: OOPS-6d8b0379a0b71ae9854bf55b93871da9)
 (Error ID: OOPS-d2e0b1d5b737e624acac6524461d9d24)
 (Error ID: OOPS-f45b1ee68f9df991cfe001209f912c30)
 (Error ID: OOPS-95113ba2c33ebc63b0cd97430215a98d)

To post a comment you must log in.